%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

### Abstract ###

Name: python-numeric
Version: 24.2
Release: 25%{?dist}
License: Python
Group: Development/Languages
Summary: Numerical Extension to Python
URL: http://numpy.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u})
Source: http://downloads.sourceforge.net/numpy/Numeric-%{version}.tar.gz

### Patches ###

Patch1: Numeric-24.2-fix-dlamc3.patch

### Build Dependencies ###

BuildRequires: python2-devel

BuildRequires: python-setuptools

%description
Numeric is a python module that provides support for numerical
operations.

%prep
%setup -q -n Numeric-%{version}
%patch1 -p1 -b .fix-dlamc3

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Demo/
%{python_sitearch}/*
%{_includedir}/python*
%{_includedir}/python*/Numeric/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 24.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 24.2-22
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 24.2-15
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 24.2-12
- Rebuild for Python 2.6

* Fri Apr 11 2008 Matthew Barnes <mbarnes@redhat.com> - 24.2-11
- Own /usr/include/python2.x (RH bug #245959).

* Sun Feb 17 2008 Matthew Barnes <mbarnes@redhat.com> - 24.2-10
- Rebuild with GCC 4.3

* Tue Jan 29 2008 Matthew Barnes <mbarnes@redhat.com> - 24.2-9
- Fix python-setuptools build requirement (RH bug #226345).

* Mon Jan 21 2008 Matthew Barnes <mbarnes@redhat.com> - 24.2-8
- Use a full URL for Source tag (RH bug #226345).

* Fri Jan 18 2008 Matthew Barnes <mbarnes@redhat.com> - 24.2-7
- Incorporate package review feedback from Parag AN (RH bug #226345).

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 24.2-6
- Rebuild for selinux ppc32 issue.

* Sat Jul 14 2007 Matthew Barnes <mbarnes@redhat.com> - 24.2-5
- Own /usr/include/python2.x (RH bug #245959).

* Wed Apr 18 2007 Jeremy Katz <katzj@redhat.com> - 24.2-4
- rebuild so that we're not statically linking libpython

* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 24.2-3
- rebuild against python 2.5

* Sun Oct 29 2006 Matthew Barnes <mbarnes@redhat.com> - 24.2-2
- Add patch for RH bug #163646 (hang in eigenvalues).

* Sun Oct 29 2006 Matthew Barnes <mbarnes@redhat.com> - 24.2-1
- Update to 24.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 23.7-2.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 23.7-2.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 23.7-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Feb 23 2005 Jonathan Blandford <jrb@redhat.com> 23.7-2
- try a new version

* Wed Feb 23 2005 Jonathan Blandford <jrb@redhat.com> 23.7-1
- rename Numeric to python-numeric

* Thu Feb 17 2005  <jrb@redhat.com> - 
- Initial build.

